package com.xunmei.core.resumption.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.core.resumption.domain.AppRulePoint;
import com.xunmei.core.resumption.vo.AppRulePointTaskVo;
import com.xunmei.core.resumption.vo.ResumptionPointVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jingyuanchao
 * @since 2022-04-27
 */
public interface IAppRulePointService extends IService<AppRulePoint> {

    List<AppRulePointTaskVo> findPointByPlan(Long id);

    List<Map<String, Object>> findAreaListPlan(Long planid);

    Map<String, Object> findByName(String name,Long ruleId);

//    List<PointVo> findPointBySafetyPlan(Long planId,String taskId,int type);
//
    List<ResumptionPointVo> findPointByRulePlan(Long planId);
}
